﻿/*@import
  'vendors/normalize';*/
/**
 * Set up a decent box model on the root element
 */
html {
  box-sizing: border-box; }

/**
 * Make all elements from the DOM inherit from the parent box-sizing
 * Since `*` has a specificity of 0, it does not override the `html` value
 * making all elements inheriting from the root box-sizing value
 * See: https://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/
 */
*,
*::before,
*::after {
  box-sizing: inherit;
  margin: 0;
  padding: 0; }

/**
 * Basic styles for links
 */
/*a {
  color: $brand-color;
  text-decoration: none;

  @include on-event {
    color: $text-color;
    text-decoration: underline;
  }
}*/
/**
 * Basic typography style for copy text
 */
html {
  font-size: 100%; }

body {
  font-size: 1rem;
  line-height: 1.4;
  color: #6D6E71; }

* {
  font-family: inherit;
  font-size: inherit;
  line-height: inherit; }

a,
a:visited {
  color: inherit; }

/**
 * Clear inner floats
 */
.clearfix::after {
  clear: both;
  content: '';
  display: table; }

.bg-primary {
  background-color: #005587 !important; }

.bg-secondary {
  background-color: #6D6E71 !important; }

.bg-white {
  background-color: white !important; }

.bg-secondary-dark {
  background-color: #4D4F5C !important; }

.sidebar {
  height: 100vh;
  width: 250px;
  background-color: #005587;
  position: fixed;
  top: 0;
  bottom: 0;
  overflow-y: auto;
  padding-bottom: 70px; }
  .sidebar li {
    padding: 7px 20px;
    position: relative; }
    .sidebar li.logo {
      padding: 16px 20px; }
    .sidebar li:hover {
      background-color: #014272; }
    .sidebar li:not(.logo)::before {
      content: "";
      height: 100%;
      width: 5px;
      position: absolute;
      top: 0;
      left: 0;
      background-color: #4D4F5C;
      transition: all 0.3s ease;
      opacity: 0; }
    .sidebar li:hover:not(.logo)::before {
      opacity: 1; }
    .sidebar li a {
      color: #E6E7E8; }

.navbar .navbar-toggler {
  background-color: #005587; }

.nav-top {
  height: 70px;
  left: 250px;
  background-color: white;
  box-shadow: 0 1px 3px #ccc; }
  .nav-top * {
    color: #6D6E71; }
  .nav-top .navbar-nav {
    margin-right: 150px; }
    .nav-top .navbar-nav li.dropdown {
      display: flex;
      background: #E6E7E8;
      border-left: 2px solid #005587;
      padding: 0 3px; }
      .nav-top .navbar-nav li.dropdown .text {
        margin-right: 40px; }
    .nav-top .navbar-nav .ems-text-wrapper {
      border-left: 1px solid #E6E7E8; }
    .nav-top .navbar-nav .ems-text {
      margin-right: 50px; }
    .nav-top .navbar-nav .dropdown-toggle::after {
      display: none; }

.nav-bottom {
  background-color: #054272;
  height: 70px;
  padding-top: 0;
  padding-bottom: 0;
  padding-left: 250px;
  padding-right: 150px; }
  .nav-bottom .text-menu li:first-child {
    margin-right: 20px; }
  .nav-bottom .nav-link {
    color: #E6E7E8 !important; }
  .nav-bottom .social-icons li {
    padding-left: 4px;
    padding-right: 4px; }
  .nav-bottom .social-icons i {
    font-size: 20px; }
  .nav-bottom .social-icons img {
    width: 20px;
    height: 20px; }
  .nav-bottom .social-icons .logo-wrapper a {
    padding-top: 0; }
  .nav-bottom .social-icons .logo-wrapper img {
    width: 20px;
    height: 20px; }

.ems-dashboard {
  background-color: #E6E7E8; }

.main-content {
  margin-top: 70px;
  margin-bottom: 70px;
  padding: 15px 20px;
  background-color: #E6E7E8;
  margin-left: 250px;
  width: calc(100vw - 267px);
  min-height: calc(100vh - 140px); }
  .main-content .page-title-wrapper {
    display: flex;
    padding-right: 15px;
    align-items: center;
    margin-bottom: 15px; }
    .main-content .page-title-wrapper .page-title {
      margin-right: 100px; }
    .main-content .page-title-wrapper > div {
      display: flex;
      flex: 1; }
      .main-content .page-title-wrapper > div .btn-export-data {
        white-space: nowrap;
        margin-right: 133px;
        flex-basis: 350px; }
      .main-content .page-title-wrapper > div .input-group {
        margin-right: 50px; }

.table-responsive-wrapper {
  overflow-x: auto; }

.data-table {
  border-radius: 5px;
  overflow: hidden; }
  .data-table td {
    vertical-align: middle;
    white-space: nowrap; }
  .data-table th {
    white-space: nowrap; }
  .data-table .thead-primary th {
    background-color: #005587;
    color: white;
    font-weight: 500; }
  .data-table .btn {
    padding: 2px 15px; }

.order-table .order-field {
  width: 70px; }

.order-table th:nth-child(2) {
  width: 80%; }

.order-table th, .order-table td {
  padding: 8px; }

.additional-table .card-header {
  padding-top: 0;
  padding-bottom: 0;
  padding-right: 0; }
  .additional-table .card-header .icon-check {
    padding: 15px;
    background-color: #6D6E71; }

.additional-table thead {
  background-color: #005587 !important; }

.additional-table thead.bg-secondary {
  background-color: #6D6E71 !important; }

.additional-table td {
  vertical-align: middle !important;
  padding-top: 5px !important;
  padding-bottom: 5px !important; }

.additional-table .main-head {
  padding-top: 15px !important;
  padding-bottom: 15px !important; }

.additional-table .btn-icon {
  padding: 0px 4px !important;
  text-align: center !important;
  border: 1px solid white; }

.additional-table .last-td {
  width: 60px;
  text-align: center; }

.additional-table .field-optionality-select {
  width: 150px; }

.additional-table .middle-text {
  margin-right: 20px;
  margin-left: 20px;
  padding: 8px;
  white-space: nowrap; }

.additional-table .inner-table-wrapper {
  padding: 0 !important;
  padding-top: 0 !important; }

form .side-text {
  padding: 13px;
  background: darkgrey;
  margin-right: 10px;
  width: 210px;
  background-color: #6D6E71;
  color: white; }

form .form-elements {
  padding-right: 10px;
  flex: 1; }

form .card-header {
  padding-left: 15px !important; }

.custom-switch .custom-control-label::before {
  width: 2.2rem;
  background-color: #6D6E71; }

.custom-switch .custom-control-input:checked ~ .custom-control-label::after {
  transform: translateX(1.2rem); }

.custom-control-input:checked ~ .custom-control-label::before {
  background-color: #0C71BB; }

.custom-switch .custom-control-label::after {
  background-color: white; }

.custom-control-input:checked ~ .custom-control-label::before {
  background-color: #005587; }

.btn-primary {
  background-color: #005587 !important;
  color: white !important;
  border-color: #005587; }

.btn-outline-primary {
  background-color: white !important;
  color: #005587 !important;
  border-color: #005587; }

.btn-success {
  background-color: #A2CE62 !important; }

.btn-outline-success {
  border-color: #A2CE62 !important;
  color: #A2CE62 !important;
  background-color: white !important; }

.btn-cliped {
  clip-path: polygon(25% 0%, 100% 1%, 100% 100%, 25% 100%, 0% 50%);
  padding: 0px 10px 0px 15px !important; }

.home-page .state-card {
  padding: 15px;
  height: 140px;
  color: white;
  font-weight: bold;
  display: flex;
  flex-direction: column;
  justify-content: space-between; }
  .home-page .state-card .count {
    text-align: right;
    font-size: 40px;
    line-height: 1; }

.front-page {
  background-color: #E6E7E8;
  height: calc(100vh - 70px); }
  .front-page .img-front {
    margin-bottom: 50px; }
  .front-page a {
    color: #6D6E71;
    font-weight: bold; }

.login-page {
  background-color: #E6E7E8;
  height: calc(100vh - 70px);
  color: #6D6E71; }
  .login-page .login-content {
    max-width: 90%; }
    .login-page .login-content .logo {
      margin-bottom: 10px; }
    .login-page .login-content .form-group > label {
      margin-bottom: 0;
      font-weight: 500; }
    .login-page .login-content .custom-checkbox {
      margin-bottom: 15px; }
    .login-page .login-content .btn-login {
      width: 200px; }

.registration-page {
  height: 100vh; }
  .registration-page .heading {
    color: #005587;
    margin-bottom: 30px; }
  .registration-page a {
    font-weight: 500; }

.checkboxes > * {
  margin-right: 25px; }
